1. Products
OrderMesh QA
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
        GET
      • Retrieve product variant details
        GET
      • Create a new product
        POST
      • Search products
        GET
      • Bulk create products
        POST
      • Bulk update products
        PUT
      • Update product
        PUT
      • Delete product
        DELETE
      • Update variant
        PUT
      • Get audit logs of a product
        GET
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  • Schemas
    • Notes
      • /v1/notes
      • /v1/notes
      • /v1/notes/{noteId}
      • /v1/notes/{id}
      • /v1/notes/{id}
      • /v1/notes/{id}/auditLogs
  1. Products

Search products

GET
/v1/products
This API request enables you to retrieve a list of products according to any specified filter criteria and sort options.

Request

Query Params

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qa.ordermesh.io/catalog/v1/products?id=&category=&productType=&page=&pageSize=&sortBy=&sortAsc='
Response Response Example
200 - Success
{
    "products": [
        {
            "id": "123456789",
            "title": "Ceramic Coffee Mug",
            "description": "A high-quality ceramic mug for coffee or tea.",
            "type": "Mugs",
            "brand": "MugBrand",
            "model": "MB-2024",
            "attributes": [
                {
                    "id": "color",
                    "name": "Color",
                    "values": [
                        {
                            "id": "white",
                            "name": "White"
                        }
                    ]
                }
            ],
            "options": [
                {
                    "id": "size",
                    "name": "Size",
                    "values": [
                        {
                            "id": "12oz",
                            "name": "12 oz"
                        },
                        {
                            "id": "16oz",
                            "name": "16 oz"
                        }
                    ]
                }
            ],
            "categories": [
                "trending",
                "kitchenware"
            ],
            "subCategories": [
                "drinkware"
            ],
            "images": [
                "https://example.com/images/mug1.jpg"
            ],
            "tags": [
                "coffee",
                "tea",
                "ceramic"
            ],
            "minPrice": {
                "currencies": [
                    {
                        "amount": 9.99,
                        "currency": "USD"
                    },
                    {
                        "amount": 8.99,
                        "currency": "EUR"
                    }
                ],
                "amount": 9.99,
                "currency": "USD"
            },
            "maxPrice": {
                "currencies": [
                    {
                        "amount": 14.99,
                        "currency": "USD"
                    },
                    {
                        "amount": 13.49,
                        "currency": "EUR"
                    }
                ],
                "amount": 14.99,
                "currency": "USD"
            },
            "shippingMinPrice": {
                "currencies": [
                    {
                        "amount": 2.99,
                        "currency": "USD"
                    },
                    {
                        "amount": 2.49,
                        "currency": "EUR"
                    }
                ],
                "amount": 2.99,
                "currency": "USD"
            },
            "status": "Active",
            "extras": [
                {
                    "name": "Care Instructions",
                    "values": [
                        "Dishwasher safe",
                        "Microwave safe"
                    ]
                }
            ]
        }
    ],
    "total": 1
}
Modified at 2026-09-03 14:39:04
Previous
Create a new product
Next
Bulk create products
Built with